[SOLVED] Why Share Public link can not be created?

hosting
webserver_issue

#1

Hi! Help please!

I am using owncloud on hosting and can't share public links. I am not programmer, but i like this service for its opportunity to share photos to clients, but still don't get why public link won't be created? And what i supposed to do for solving issue? I tried it on safari, mozzila, even phone chrome, but not working...

Expected behaviour

Clicking save button the public link should be created

Actual behaviour

But nothing happens. Like the button doing nothing... Or just won't work

Server configuration

Operating system: Hosting OS Proprietary *nix

Web server: AWARDSPACE HOSTING

Database: mySQL

PHP version: 5.6.31

ownCloud version: 10.0.4 (stable)

Updated from an older ownCloud or fresh install: fresh install

Where did you install ownCloud from: Web Installer
https://download.owncloud.com/download/community/setup-owncloud.php

Signing status (ownCloud 9.0 and above):

List of activated apps: all preinstalled

Are you using encryption: no

erorr log from browsers even on phone same error
it was 11 clicks on button save:


[SOLVED] TAGS and PUBLIC LINK NOT WORKING
[SOLVED] TAGS and PUBLIC LINK NOT WORKING
#2

Logs or it didn't happen.

The server is crashing, but without logs it isn't possible to know the cause.


#3

Thanks for response! :grinning:

http://jellonity.tech/cloud_logs/owncloud.log


#4

{"reqId":"WlUycbmwKIcAAE3JkisAAABb","level":3,"time":"2018-01-09T21:21:53+00:00","remoteAddr":"134.249.120.181","user":"--","app":"PHP","method":"POST","url":"\/cloud\/ocs\/v2.php\/apps\/files_sharing\/api\/v1\/shares?format=json","message":"You are using a fallback implementation of the intl extension. Installing the native one is highly recommended instead. at \/srv\/disk3\/2548662\/www\/jellonity.tech\/cloud\/lib\/composer\/patchwork\/utf8\/src\/Patchwork\/Utf8\/Bootup\/intl.php#18"}

I see a lot of these... The native intl extension is required in OC 10.x, not sure about the exact version. I think the package is "php-intl" or "php7.0-intl" for ubuntu (no idea about other distributions). You should install the package (then restart the server) and retry. If that doesn't solve the issue, come back with more logs :slight_smile:


#5

I am using hosting area, and can`t install anything... :frowning:


#6

Wow!
You are the best!!!!
Everything is working!
The only thing i did is changed PHP on hosting to latest version.
From PHP 5.4 to PHP 7.1!!!

Thanks!
Good Luck to you!!!

PROBLEM WAS SOLVED!